%define module	configobj

Name:          python-%{module}
Summary:       Simple but powerful config file reader and writer
Version:       5.0.6
Release:       %mkrel 6
License:       BSD
Group:         Development/Python 
Provides:      python-ConfigObj = %{version}
URL:           http://configobj.readthedocs.org/
Source0:       https://pypi.python.org/packages/source/c/configobj/configobj-%{version}.tar.gz
Patch0:        configobj-import-all-fix.patch
Provides:      ConfigObj = %{version}
BuildArch:     noarch

%description
ConfigObj is a simple but powerful config file reader and writer: an ini file
round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files.

%package -n python3-%{module}
Summary:       Config file reading, writing, and validation for Python 3
Group:         Development/Python 
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-six
Requires:      python3-six

%description -n python3-%{module}
ConfigObj is a simple but powerful config file reader and writer: an ini file
round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files.

%prep
%setup -q -n configobj-%{version}
%patch0 -p1 -b .all


%build
%py3_build


%install
%py3_install


%files -n python3-%{module}
%{python3_sitelib}/*



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 5.0.6-6.mga8
+ Revision: 1532493
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 5.0.6-5.mga8
+ Revision: 1442465
- drop python2 subpkg
- rebuild for python-3.8

* Mon Jan 07 2019 kekepower <kekepower> 5.0.6-4.mga7
+ Revision: 1350640
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 5.0.6-3.mga7
+ Revision: 1288436
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 5.0.6-2.mga7
+ Revision: 1135347
- Rebuild for python 3.6

* Fri Jan 22 2016 daviddavid <daviddavid> 5.0.6-1.mga6
+ Revision: 926497
- new version: 5.0.6
- use new python macros

* Sat Oct 10 2015 tv <tv> 5.0.5-5.mga6
+ Revision: 888881
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 5.0.5-4.mga5
+ Revision: 746851
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5.0.5-3.mga5
+ Revision: 728192
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.0.5-2.mga5
+ Revision: 687942
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 philippem <philippem> 5.0.5-1.mga5
+ Revision: 641438
- Updated to 5.0.5, add Python3
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 4.7.2-7.mga4
+ Revision: 543197
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.7.2-6.mga4
+ Revision: 498293
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 philippem <philippem> 4.7.2-5.mga4
+ Revision: 490515
- Cleaning spec

* Sun Jan 13 2013 umeabot <umeabot> 4.7.2-4.mga3
+ Revision: 378616
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 18 2011 ahmad <ahmad> 4.7.2-3.mga1
+ Revision: 53924
- rebuild so that the pythonegg autoprovides are lower case

* Sun Jan 23 2011 ennael <ennael> 4.7.2-2.mga1
+ Revision: 34375
- imported package python-configobj


* Sat Oct 30 2010 Michael Scherer <misc@mandriva.org> 4.7.2-2mdv2011.0
+ Revision: 590467
- ILENT: fix build on x86_64
- fix weirdness around the tarball
- do not use obsoleted py_requires macros
- do not use --record as it record uninstalled file
- rebuild for python 2.7

* Tue Mar 02 2010 Lev Givon <lev@mandriva.org> 4.7.2-1mdv2010.1
+ Revision: 513596
- Update to 4.7.2.

* Mon Jan 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 4.7.0-1mdv2010.1
+ Revision: 489398
- new version

* Mon May 11 2009 Lev Givon <lev@mandriva.org> 4.6.0-1mdv2010.0
+ Revision: 374790
- Update to 4.6.0.

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 4.5.3-2mdv2009.1
+ Revision: 319371
- rebuild for new python

* Fri Jul 25 2008 Lev Givon <lev@mandriva.org> 4.5.3-1mdv2009.0
+ Revision: 249882
- Update to 4.5.3.

* Thu May 08 2008 Lev Givon <lev@mandriva.org> 4.5.2-1mdv2009.0
+ Revision: 204537
- Update to 4.5.2.

* Wed Mar 19 2008 Lev Givon <lev@mandriva.org> 4.4.0-4mdv2008.1
+ Revision: 188763
- Build as noarch package.
  Include license and docs.

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 4.4.0-3mdv2008.1
+ Revision: 171058
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix no-buildroot-tag
- fix description-line-too-long

* Sun Jan 27 2008 Helio Chissini de Castro <helio@mandriva.com> 4.4.0-2mdv2008.1
+ Revision: 158796
- Increase release to build against x86_64
- import python-configobj


* Sun Jan 27 2008 Helio Chissini de Castro <helio@mandriva.com> 1.1-1mdv2008.1
- First release for Mandriva.

